Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.portal.controls
Interface PortalDefinitionControl

    public interface PortalDefinitionControl

Method Summary
`void` | `createPortalDefinition(String webApp, com.bea.netuix.application.identifier.PortalPath portalPath, String title, String description, String portalUri, com.bea.portal.tools.common.ResourceContext context)` Create a new portal definition.
`void` | `deletePortalDefinition(String webApp, com.bea.netuix.application.identifier.PortalPath portalPath, com.bea.portal.tools.common.ResourceContext context)` Deletes a portal definition.
`com.bea.netuix.application.definition.DefinitionCount` | `getDefinitionCount(String webApp, com.bea.portal.tools.common.ResourceContext context)` Gets a DefinitionCount object containing counts of definitions within the specified webapp.
`int` | `getDesktopDefinitionCount(String webApp, com.bea.netuix.application.identifier.PortalPath portalPath, com.bea.portal.tools.common.ResourceContext context)` Returns the number of desktops in a portal for a given web app.
`com.bea.netuix.application.definition.PortalDefinition` | `getPortalDefinition(String webApp, com.bea.netuix.application.identifier.PortalPath portalPath, com.bea.portal.tools.common.ResourceContext context)` Gets a mutable PortalDefinition object.
`int` | `getPortalDefinitionCount(String webApp, com.bea.portal.tools.common.ResourceContext context)` Returns the number of portal definitions defined in the system.
`com.bea.p13n.pagination.SortableFilterablePagedResult<com.bea.netuix.application.definition.PortalDefinition>` | `getPortalDefinitions(int pageSize, com.bea.netuix.application.search.WebAppSearchCriteria criteria, com.bea.portal.tools.common.ResourceContext context)` Gets all the portal definitions for this web app.
`void` | `updatePortalDefinition(String webApp, com.bea.netuix.application.identifier.PortalPath portalPath, com.bea.netuix.application.definition.PortalDefinition pDef, com.bea.portal.tools.common.ResourceContext context)` Updates a portal definition.

Method Detail

### getDefinitionCount

    com.bea.netuix.application.definition.DefinitionCount getDefinitionCount(String webApp,
                                                                             com.bea.portal.tools.common.ResourceContext context)
                                                                             throws com.bea.portal.tools.common.exceptions.ToolsException

  Gets a DefinitionCount object containing counts of definitions within the specified webapp.

  Parameters
    `webApp` - the web application to get definition counts for.
    `context` - the resource context.
  Returns
    an object containing definition counts.
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`

### deletePortalDefinition

    void deletePortalDefinition(String webApp,
                                com.bea.netuix.application.identifier.PortalPath portalPath,
                                com.bea.portal.tools.common.ResourceContext context)
                                throws com.bea.portal.tools.common.exceptions.ToolsException,
                                       com.bea.netuix.application.exception.NotEntitledException

  Deletes a portal definition.

  Parameters
    `webApp` - the web application
    `portalPath` - The portal path.
    `context` - the resource context.
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`
    `com.bea.netuix.application.exception.NotEntitledException`

### getPortalDefinitionCount

    int getPortalDefinitionCount(String webApp,
                                 com.bea.portal.tools.common.ResourceContext context)
                                 throws com.bea.portal.tools.common.exceptions.ToolsException

  Returns the number of portal definitions defined in the system.

  Parameters
    `webApp` - The webApp the definition count is scoped to.
    `context` - the resource context.
  Returns
    The number of portals in the given webapp.
  Throws
    `com.bea.p13n.entitlements.common.EntitlementsException`
    `NamingException`
    `RemoteException`
    `CreateException`
    `com.bea.portal.tools.common.exceptions.ToolsException`

### getDesktopDefinitionCount

    int getDesktopDefinitionCount(String webApp,
                                  com.bea.netuix.application.identifier.PortalPath portalPath,
                                  com.bea.portal.tools.common.ResourceContext context)
                                  throws com.bea.portal.tools.common.exceptions.ToolsException

  Returns the number of desktops in a portal for a given web app.

  Parameters
    `webApp` - the web application
    `portalPath` - The portal to query.
    `context` - the resource context.
  Returns
    The number of desktops in the given portal
  Throws
    `com.bea.p13n.entitlements.common.EntitlementsException`
    `NamingException`
    `RemoteException`
    `CreateException`
    `com.bea.portal.tools.common.exceptions.ToolsException`

### getPortalDefinition

    com.bea.netuix.application.definition.PortalDefinition getPortalDefinition(String webApp,
                                                                               com.bea.netuix.application.identifier.PortalPath portalPath,
                                                                               com.bea.portal.tools.common.ResourceContext context)
                                                                               throws com.bea.portal.tools.common.exceptions.ToolsException,
                                                                                      com.bea.netuix.application.exception.ObjectNotFoundException

  Gets a mutable PortalDefinition object.

  Parameters
    `webApp` - the web application
    `portalPath` - The path to portal.
    `context` - the resource context.
    `definitionContext` - a resource context for this request
  Returns
    A desktop definition object
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`
    `com.bea.netuix.application.exception.ObjectNotFoundException`

### getPortalDefinitions

    com.bea.p13n.pagination.SortableFilterablePagedResult<com.bea.netuix.application.definition.PortalDefinition> getPortalDefinitions(int pageSize,
                                                                                                                                       com.bea.netuix.application.search.WebAppSearchCriteria criteria,
                                                                                                                                       com.bea.portal.tools.common.ResourceContext context)
                                                                                                                                       throws com.bea.portal.tools.common.exceptions.ToolsException,
                                                                                                                                              com.bea.netuix.application.exception.ObjectNotFoundException

  Gets all the portal definitions for this web app.

  Parameters
    `pageSize` - The pagesize of the returned PagedResult.
    `criteria` - the criteria (including webapp) for the search
    `context` - the resource context.
  Returns
    a paged result of the portal definitions matching the criteria.
  Throws
    `NamingException`
    `RemoteException`
    `CreateException`
    `com.bea.p13n.entitlements.common.EntitlementsException`
    `com.bea.netuix.application.exception.ObjectNotFoundException`
    `com.bea.portal.tools.common.exceptions.ToolsException`

### createPortalDefinition

    void createPortalDefinition(String webApp,
                                com.bea.netuix.application.identifier.PortalPath portalPath,
                                String title,
                                String description,
                                String portalUri,
                                com.bea.portal.tools.common.ResourceContext context)
                                throws com.bea.portal.tools.common.exceptions.ToolsException,
                                       com.bea.netuix.application.exception.DuplicateObjectException,
                                       com.bea.netuix.application.exception.NotEntitledException,
                                       com.bea.netuix.application.exception.MissingDataException

  Create a new portal definition.

  Parameters
    `webApp` - The web app to associate the portal with.
    `portalPath` - The portal path.
    `title` - The portal title.
    `description` - The portal description.
    `portalUri` - The uri of the portal.
    `context` - the resource context.
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`
    `com.bea.netuix.application.exception.DuplicateObjectException`
    `com.bea.netuix.application.exception.NotEntitledException`
    `com.bea.netuix.application.exception.MissingDataException`

### updatePortalDefinition

    void updatePortalDefinition(String webApp,
                                com.bea.netuix.application.identifier.PortalPath portalPath,
                                com.bea.netuix.application.definition.PortalDefinition pDef,
                                com.bea.portal.tools.common.ResourceContext context)
                                throws com.bea.portal.tools.common.exceptions.ToolsException,
                                       com.bea.netuix.application.exception.ObjectInUseException,
                                       com.bea.netuix.application.exception.NotEntitledException,
                                       com.bea.netuix.application.exception.MissingDataException,
                                       com.bea.netuix.application.exception.ObjectNotFoundException

  Updates a portal definition.

  Parameters
    `webApp` - The web app for the portal.
    `portalPath` - The portal path.
    `pDef` - The portal definition
    `context` - the resource context.
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`
    `com.bea.netuix.application.exception.ObjectInUseException`
    `com.bea.netuix.application.exception.NotEntitledException`
    `com.bea.netuix.application.exception.MissingDataException`
    `com.bea.netuix.application.exception.ObjectNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved